varying vec4 v_fragmentColor;     
varying vec2 v_texCoord;     

uniform vec4 u_colorizator;
        
void main()             
{ 
    vec4 v_orColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord); 
    float gray = max(v_orColor.r, max(v_orColor.g, v_orColor.b));
    gl_FragColor = vec4(gray*u_colorizator.r, gray*u_colorizator.g, gray*u_colorizator.b, v_orColor.a*u_colorizator.a); 
}  			
